Please HELP i can't jailbreak my ipod touch 1g

Discussion in 'iOS Jailbreak & Cydia' started by lfiano, May 16, 2009.

  1. lfiano

    lfiano New Member

    Joined:
    Feb 15, 2008
    Messages:
    27
    Likes Received:
    0
    Device:
    3G iPod touch
    Hi, i haved jailbroken my ipod with quickpwn a few times because i upgrade the ipod a few times. but now im on 2.2.1. and i get this message "The IPSW file you selected does not match any firmware version QuickPwn supports. Either the IPSW file is corrupted, or the firmware version is unsupported." what i have to do? i HAVE the correct firmware, i download it many times of differents websites.. im using the an ipod touch 1g. whats up with that?
  2. buielyo

    buielyo New Member

    Joined:
    Aug 11, 2008
    Messages:
    14
    Likes Received:
    0
    Device:
    iPod touch
    You might have the wrong version of quickpwn.

    Please Register or Log in to view images


    Other then that, you might have to wait for someone more experienced then me to reply.
  3. lfiano

    lfiano New Member

    Joined:
    Feb 15, 2008
    Messages:
    27
    Likes Received:
    0
    Device:
    3G iPod touch
    hahahaha i think, but thanks, im using 2.2.5 b2 i download the firmware and the quickpwn yesterday and i would be perfect, just like ever
  4. Nburnes

    Nburnes Well-Known Member

    Joined:
    Jan 3, 2009
    Messages:
    9,022
    Likes Received:
    767
    Device:
    OnePlus One
    Download Quickpwn again see if that makes a difference

    Edit: You have 2.2.5-2? Right?
  5. lfiano

    lfiano New Member

    Joined:
    Feb 15, 2008
    Messages:
    27
    Likes Received:
    0
    Device:
    3G iPod touch
    yep! i downloaded yesterday and i download THE SAME quickpwn 10 minutes ago and it works! magically works hahahahah dont know why.. you can close this forum..
  6. Rockinryguy

    Rockinryguy New Member

    Joined:
    Apr 18, 2009
    Messages:
    185
    Likes Received:
    0
    Device:
    2G iPod touch
    Is there any difference in 2.2.5 compared to 2.2.1

Share This Page